Bug 449199 - Should use xdg-utils instead of XMMS
Should use xdg-utils instead of XMMS
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtkpod (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Todd Zullinger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-31 02:16 EDT by Debarshi Ray
Modified: 2008-06-10 12:08 EDT (History)
0 users

See Also:
Fixed In Version: 0.99.12-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-10 12:08:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to use xdg-open instead of xmms for playback (668 bytes, patch)
2008-05-31 02:16 EDT, Debarshi Ray
no flags Details | Diff
Remove default command for enqueuing songs. (786 bytes, patch)
2008-06-08 03:58 EDT, Debarshi Ray
no flags Details | Diff

  None (edit)
Description Debarshi Ray 2008-05-31 02:16:40 EDT
Description of problem:
gtkpod uses XMMS to playback and enqueue songs on the iPod, which is not
mentioned as one of gtkpod's dependencies.

Version-Release number of selected component (if applicable):
gtkpod-0.99.12-2

How reproducible:
Every time you try to play songs on a iPod from gtkpod on a system not having XMMS.

Additional info:
A better solution would be to use xdg-open (from xdg-utils) instead of XMMS for
playing back the songs so that the system's default music player is used instead
of XMMS.
Comment 1 Debarshi Ray 2008-05-31 02:16:40 EDT
Created attachment 307265 [details]
Patch to use xdg-open instead of xmms for playback
Comment 2 Todd Zullinger 2008-06-03 23:14:28 EDT
Thanks for pointing this out Debarshi (reports with patches are the best kind).
 Before I apply this patch, I'm curious if you have any ideas for handling the
similar Enqueue menu item.  It doesn't seem that xdg-open has any notion of
adding a track to an already running player.  So even with the fix for Play Now,
Enqueue is still broken by default.

Worth noting perhaps is that upstream has gstreamer playback support in a
branch.  If that gets finished up, it might mean that both the Play Now and
Enqueue options will go away entirely.

That branch isn't moving all that fast though, and it might not ever get merged,
but it's there.  With a little love it could solve this problem in a nicer way.
Comment 3 Debarshi Ray 2008-06-04 00:44:00 EDT
(In reply to comment #2)
> Enqueue is still broken by default.

Yes, I had noticed the problem earlier too and then decided not to touch it.
Thinking of it now, we can replace the command for enqueue with an empty string.
Don't know how Gtkpod will handle that (no access to my machine right now), but
it does offer a dialog to customize these commands so the user could put in
something if he wants to.
Comment 4 Debarshi Ray 2008-06-08 03:58:21 EDT
Created attachment 308637 [details]
Remove default command for enqueuing songs.

So if we remove XMMS from enqueuing songs and provide no other alternative, the
user gets: "No command set for 'Enqueue'". This probably looks better than what
we have now, which makes it look like something is broken.
Comment 5 Todd Zullinger 2008-06-10 12:08:49 EDT
That sounds reasonable to me.  I've applied the patch and it's built for
rawhide.  I'll hold off on pushing this to any release branches for now.  There
are some other upstream fixes pending that I'm hoping to push an update for
before too long.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.